<?php
// $Id: uc_sf_order.ca.inc,v 1.1.2.1 2010/11/10 22:27:16 evandonovan Exp $

/**
 * @file
 * uc_sf_order.ca.inc: Conditional-Actions include file, for uc_sf_order.module
 */

/**
 * Implementation of hook_ca_predicate().
 */
function uc_sf_order_ca_predicate() {
  $predicates = array();

  // Setup a default predicate for customer checkout notifications.
  $predicates['uc_checkout_salesforce_export'] = array(
    '#title' => t('Export order to salesforce'),
    '#description' => t('Export order to salesforce.'),
    '#class' => 'uc_sf_order',
    '#status' => 1,
    '#weight' => 9,
    '#trigger' => 'uc_checkout_complete',
    '#actions' => array(
      array(
        '#name' => 'uc_sf_order_salesforce_export',
        '#title' => t('Export the order to Salesforce'),
        '#argument_map' => array(
          'order' => 'order',
        ),
        '#settings' => array(
          'order_status' => 'completed',
        ),
      ),
    ),
  );

  return $predicates;
}

/**
 * Implementation of hook_ca_action().
 */
function uc_sf_order_ca_action() {
  $order_arg = array(
    '#entity' => 'uc_order',
    '#title' => t('Order'),
  );

  $actions['uc_sf_order_salesforce_export'] = array(
    '#title' => t('Export the order to Salesforce'),
    '#category' => t('Salesforce'),
    '#callback' => 'uc_sf_order_export_action',
    '#arguments' => array(
      'order' => $order_arg,
    ),
  );

  return $actions;
}
